> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote

> The response does not include the project the quote belongs to, but project.uid is required when editing a quote.



## OpenAPI

````yaml /openapi/phrase-tms-v3.json get /api2/v3/quotes/{quoteUid}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '3'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Project
  - name: Project Template
  - name: Quality Assurance
  - name: Quote
  - name: Translation
  - name: Translation Memory
  - name: User
paths:
  /api2/v3/quotes/{quoteUid}:
    get:
      tags:
        - Quote
      summary: Get quote
      description: >-
        The response does not include the project the quote belongs to, but
        project.uid is required when editing a quote.
      operationId: getQuote
      parameters:
        - name: quoteUid
          in: path
          description: UID of the quote
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteV3DtoV3'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    QuoteV3DtoV3:
      type: object
      properties:
        analyse:
          $ref: '#/components/schemas/AnalyseReferenceV1'
        billingUnit:
          type: string
          enum:
            - Character
            - Word
            - Page
            - Hour
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        currency:
          type: string
        customerEmail:
          type: string
        dateCreated:
          type: string
          format: date-time
        editable:
          type: boolean
        id:
          type: integer
          format: int64
        name:
          type: string
        netRateScheme:
          $ref: '#/components/schemas/NetRateSchemeReferenceV1'
        outdated:
          type: boolean
        partData:
          type: array
          items:
            $ref: '#/components/schemas/QuotePartDataV3DtoV3'
        priceList:
          $ref: '#/components/schemas/PriceListReferenceV1'
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        quoteType:
          type: string
          enum:
            - BUYER
            - PROVIDER
        status:
          type: string
          enum:
            - APPROVED
            - DECLINED
            - DRAFT
            - FOR_APPROVAL
            - NEW
        totalPrice:
          type: number
          format: double
        uid:
          type: string
        workflowStepList:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepReferenceV1'
    AnalyseReferenceV1:
      type: object
      properties:
        analyseLanguageParts:
          type: array
          items:
            $ref: '#/components/schemas/AnalyseLanguagePartReferenceV1'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        importStatus:
          $ref: '#/components/schemas/ImportStatusDtoV1'
        innerId:
          type: string
        name:
          type: string
        netRateScheme:
          $ref: '#/components/schemas/NetRateSchemeReferenceV1'
        outdated:
          type: boolean
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        pureWarnings:
          type: array
          items:
            type: string
        type:
          type: string
          enum:
            - PreAnalyse
            - PostAnalyse
            - PreAnalyseTarget
            - Compare
            - PreAnalyseProvider
            - ContinuousPostAnalyse
            - ContinuousPreAnalyse
        uid:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    NetRateSchemeReferenceV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
          description: Date and time the scheme was created
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        isDefault:
          type: boolean
          description: >-
            Whether this scheme is the organization default applied when none is
            specified
        name:
          type: string
          description: Name of the net rate scheme
        uid:
          type: string
          description: Unique identifier used in API paths
    QuotePartDataV3DtoV3:
      type: object
      properties:
        additionalWorkflowStepData:
          type: array
          items:
            $ref: '#/components/schemas/QuoteAdditionalWorkflowStepDataV3DtoV3'
        minimumPrice:
          type: number
          format: double
        netUnits:
          type: number
          format: double
        priceAllWf:
          type: number
          format: double
        quoteJobRowData:
          type: array
          items:
            $ref: '#/components/schemas/QuoteJobRowDataV3DtoV3'
        quotePartUid:
          type: string
        sourceLang:
          type: string
        targetLang:
          type: string
        unitPrice:
          type: number
          format: double
        units:
          type: number
          format: double
        unitsAllAdditionalWf:
          type: number
          format: double
        unitsAllWf:
          type: number
          format: double
    PriceListReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    ProviderReferenceV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
        type:
          type: string
        uid:
          type: string
          description: UID of the provider
          readOnly: true
    WorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
    AnalyseLanguagePartReferenceV1:
      type: object
      properties:
        id:
          type: string
        jobs:
          type: array
          description: Max of 100 jobs returned, use "List jobs of analyses" to get all
          items:
            $ref: '#/components/schemas/AnalyseJobReferenceV1'
        sourceLang:
          type: string
        targetLang:
          type: string
    ImportStatusDtoV1:
      type: object
      properties:
        errorMessage:
          type: string
        status:
          type: string
          enum:
            - RUNNING
            - ERROR
            - OK
    QuoteAdditionalWorkflowStepDataV3DtoV3:
      type: object
      properties:
        hours:
          type: number
          format: double
        id:
          type: string
        name:
          type: string
        targetLang:
          type: string
        unitPrice:
          type: number
          format: double
    QuoteJobRowDataV3DtoV3:
      type: object
      properties:
        jobUid:
          type: string
        netUnits:
          type: number
          format: double
        title:
          type: string
        total:
          type: number
          format: double
        units:
          type: number
          format: double
        workflowStepData:
          type: array
          items:
            $ref: '#/components/schemas/QuoteJobRowWorkflowStepDataV3DtoV3'
    AnalyseJobReferenceV1:
      type: object
      properties:
        filename:
          type: string
          description: Job file name
        innerId:
          type: string
          description: Sequential number of the job within the project
        jobUid:
          type: string
          description: Unique identifier of the source job
        uid:
          type: string
          description: Unique identifier of the analysed job used in API paths
    QuoteJobRowWorkflowStepDataV3DtoV3:
      type: object
      properties:
        netUnits:
          type: number
          format: double
        price:
          type: number
          format: double
        wfStepUid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.